ocaml (4.13.1-4) unstable; urgency=medium

  * Avoid build path ending up in binaries (Closes: #1030785)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 Feb 2023 11:46:40 +0100

ocaml (4.13.1-3) unstable; urgency=medium

  * Upload to unstable
  * Adapt maintainer scripts to new binary package structure
  * Do no longer provide /usr/include/caml symlink

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 11:14:42 +0100

ocaml (4.13.1-2) experimental; urgency=medium

  * Put transitional packages in section oldlibs
  * Fix building of manpages on bytecode architectures
  * Restore patch putting manpages in section 3o
  * Enable fma emulation on m68k
  * Ignore tests failure on m68k

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Dec 2021 08:17:13 +0100

ocaml (4.13.1-1) experimental; urgency=medium

  * New upstream release
  * Make *-nox packages transitional

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Dec 2021 16:33:05 +0100

ocaml (4.11.1-5) unstable; urgency=medium

  * Do not error on warnings in autoconf (Closes: #978875)
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Nov 2021 15:45:31 +0100

ocaml (4.11.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure ocaml pulls ocaml-nox as well. (Closes: #973039)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Oct 2020 08:38:03 +0100

ocaml (4.11.1-3) unstable; urgency=medium

  * Upload to unstable
  * Disable some tests that fail on Hurd

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Oct 2020 16:56:34 +0200

ocaml (4.11.1-2) experimental; urgency=medium

  * Call ./configure with --disable-native-compiler on all bytecode
    architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 15:31:40 +0200

ocaml (4.11.1-1) experimental; urgency=medium

  * New upstream release
    - Add riscv64 to native-archs
    - Trigger -output-complete-exe on -custom with an environment variable
      (OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE)
    - Re-enable testpreempt test
    - Re-enable most of tool-debugger tests

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 08:33:22 +0200

ocaml (4.08.1-10) unstable; urgency=medium

  * Disable DT_TEXTREL warnings on i386
  * Unconditionally disable testpreempt test

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jul 2020 14:45:47 +0200

ocaml (4.08.1-9) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix FTBFS with gcc-10 (Closes: #957623)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

  [ Ralf Treinen ]
  * Replace suggestion of tuareg-mode, which is now a transitional package,
    by elpa-tuareg.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 16:51:04 +0200

ocaml (4.08.1-8) unstable; urgency=medium

  * read_main_debug_info: do not die in -custom executables

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jan 2020 13:11:32 +0100

ocaml (4.08.1-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Install stdlib-shims compatibility package

  [ Andy Li ]
  * Install uchar compatibility package

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2020 13:36:36 +0100

ocaml (4.08.1-6) unstable; urgency=medium

  * Fix generation of ocaml-man (Closes: #947197)
  * Add Rules-Requires-Root: no
  * Provide libseq-ocaml{,-dev}

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2019 10:28:39 +0100

ocaml (4.08.1-5) unstable; urgency=medium

  * ocaml-nox: add Breaks+Replaces ocaml-compiler-libs (Closes: #945495)
  * Bump Standards-Version to 4.4.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 13:04:37 +0100

ocaml (4.08.1-4) unstable; urgency=medium

  * ocaml-base-nox Breaks/Replaces also ocaml-nox (Closes: #944126)
  * Install seq compatibility package

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 11:43:37 +0100

ocaml (4.08.1-3) unstable; urgency=medium

  * Do no longer install ocaml-native-compilers.conf (should fix FTBFS of
    many reverse dependencies)
  * Add relationship for ocaml-nox overwriting ocaml-base-nox (Closes:
    #944126)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Nov 2019 11:12:49 +0100

ocaml (4.08.1-2) unstable; urgency=medium

  * Upload to unstable
  * Disable failing tests on hurd

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Nov 2019 13:43:40 +0100

ocaml (4.08.1-1) experimental; urgency=medium

  * New upstream release
  * Statically link -lbfd to avoid a tight dependency with libbinutils
    (Closes: #940579)
  * Put VERSION in ocaml-base-nox
  * Add Breaks/Replaces: ocaml-base to ocaml-base-nox (Closes: #933792)
  * Disable testpreempt test on kfreebsd for now
  * Add back Debian-specific -custom behaviour

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Sep 2019 16:40:45 +0200

ocaml (4.08.0-3) experimental; urgency=medium

  * Disable native compiler on powerpc and x32
  * Tune testpreempt test to make it work on kfreebsd

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2019 13:27:15 +0200

ocaml (4.08.0-2) experimental; urgency=medium

  * Build with BUILD_PATH_PREFIX_MAP set, to improve reproducibility
  * Use CCLINKFLAGS for linking all executables and shared libraries, to
    pass hardening flags
  * Properly disable almabench test on slow architectures (should fix
    FTBFS on them)
  * Check for definition of AT_SECURE before using it (should fix FTBFS on
    kfreebsd-*)
  * Add x32 to native architecture (should fix FTBFS)
  * Add support for Debian's armhf in configure.ac (should fix FTBFS)
  * Add more Lintian overrides
  * Fix spelling errors reported by Lintian
  * Bump Standards-Version to 4.4.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2019 10:53:51 +0200

ocaml (4.08.0-1) experimental; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - many Debian-specific patches have been dropped
    - drop ocaml-mode binary package
    - add ocaml-man binary package
    - update debian/copyright
  * Bump debhelper compat to 12

  [ Nicolas Boulenguez ]
  * Fix broken doc symlinks (Closes: #877267)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2019 14:19:49 +0200

ocaml (4.05.0-12) unstable; urgency=medium

  * Provide libnum-ocaml{,-dev}

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 09:27:23 +0200

ocaml (4.05.0-11) unstable; urgency=medium

  [ Ralf Treinen ]
  * Dropped "Recommends: camlp4" from ocaml-nox since that package is
    being deprecated. (Closes: #895994)

  [ Stéphane Glondu ]
  * Fix integer overflows when unmarshaling a bigarray
    (Closes: #895472, CVE-2018-9838)
  * Update Vcs-* to point to salsa

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Jan 2019 14:59:28 +0100

ocaml (4.05.0-10) unstable; urgency=medium

  * Drop support for ocamlopt on armel as suggested by upstream.
  * Replace the ARM PIC patch with one from upstream.

 -- Ximin Luo <infinity0@debian.org>  Wed, 04 Oct 2017 14:14:39 +0200

ocaml (4.05.0-9) unstable; urgency=medium

  * Upload to unstable. (Closes: #871990)

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Sep 2017 18:41:19 +0200

ocaml (4.05.0-8) experimental; urgency=medium

  [ Ximin Luo ]
  * Merge changes from Debian unstable. Relevant ones:
    * Tell dh_installdocs to ignore README.Debian (see #868204)
    * obey hardening LDFLAGS (Closes: #792502). Thanks to Török Edwin
      for the patch!
    * Compute a stable name for preprocessed files (Closes: #838188).
      Thanks to Johannes Schauer for the patch!
  * Close old bugs.
    * New upstream release 4.05 closes CVE-2015-8869 (Closes: #824139).
    * Debian release 4.03.0-3 defaults to PIC on arm (Closes: #837359).

  [ Pino Toscano ]
  * Convert the menu file to a desktop file. (see #741573)

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 12:02:40 +0200

ocaml (4.05.0-7) experimental; urgency=medium

  * Only install findlib/ocaml-native-compilers.conf on native-code arches,
    fixing ocamlfind behaviour and FTBFS of ocamlbuild.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Jul 2017 01:42:31 +0200

ocaml (4.05.0-6) experimental; urgency=medium

  * Mark certain symbols as .hidden in arm64 codegen, fixing FTBFS with
    binutils 2.29. (Closes: #868860)

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Jul 2017 11:06:41 +0200

ocaml (4.05.0-5) experimental; urgency=medium

  * Proper fix for kfreebsd-* not having dup3/pipe2.

 -- Ximin Luo <infinity0@debian.org>  Sat, 22 Jul 2017 12:14:04 +0200

ocaml (4.05.0-4) experimental; urgency=medium

  * Fix new natdynlink logic, fixes FTBFS on some more arches.

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 20:40:30 +0200

ocaml (4.05.0-3) experimental; urgency=medium

  * Fix Makefile $-escaping syntax, fixes FTBFS on a bunch of arches.

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 19:08:27 +0200

ocaml (4.05.0-2) experimental; urgency=medium

  * Update conditional-install rules for easier maintenance. This fixes FTBFS
    on arm64 and s390x where libasmrunp.a is not available.
  * Disable failing dup3/pipe2-related tests on kfreebsd-*.
  * Close old bug reports. (Closes: #865712)

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 18:01:04 +0200

ocaml (4.05.0-1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Mon, 17 Jul 2017 16:11:47 +0200

ocaml (4.04.0-2) experimental; urgency=medium

  * Fix the build on non-opt+64 arches for raw_spacetime.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Mar 2017 13:13:34 +0100

ocaml (4.04.0-1) experimental; urgency=medium

  [ Mehdi Dogguy ]
  * Use secure and canonical URIs for Vcs-* fields

  [ Ximin Luo ]
  * New upstream release.
  * Merge ocaml-native-compilers into ocaml-nox.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Mar 2017 23:57:44 +0100

ocaml (4.03.0-5) experimental; urgency=medium

  * Fix variable substitution in Makefile syntax.

 -- Ximin Luo <infinity0@debian.org>  Thu, 03 Nov 2016 01:39:42 +0100

ocaml (4.03.0-4) experimental; urgency=medium

  * Add a versioned Provides so we can have versioned Build-Depends
    on ocaml-best-compilers in other packages.

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Nov 2016 15:26:44 +0100

ocaml (4.03.0-3) experimental; urgency=medium

  * Default to PIC on arm, to fix failing armhf tests.

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Nov 2016 13:09:29 +0100

ocaml (4.03.0-2) experimental; urgency=medium

  * Add native compilers for ppc64, ppc64el, s390x.
  * Skip native tests on bytecode-only systems.

 -- Ximin Luo <infinity0@debian.org>  Fri, 28 Oct 2016 02:13:18 +0200

ocaml (4.03.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 17:43:52 +0200

ocaml (4.02.3-10) unstable; urgency=medium

  * Add Provides: ocamlbuild to ocaml-nox
  * Tell dh_installdocs to ignore README.Debian (see #868204)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Jul 2017 04:40:57 +0200

ocaml (4.02.3-9) unstable; urgency=medium

  * obey hardening LDFLAGS (Closes: #792502). Thanks to Török Edwin
    for the patch!
    - add patch 0013-Obey-ldflags.patch
  * Compute a stable name for preprocessed files (Closes: #838188).
    Thanks to Johannes Schauer for the patch!
  * CVE-2015-8869 (Closes: #824139).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 22 Dec 2016 00:48:59 +0100

ocaml (4.02.3-8) unstable; urgency=medium

  * Default to PIC on arm, to fix failing armhf tests (Closes: #837359).
  * Use secure and canonical URIs for Vcs-* fields
  * Sync Standards-Version's value in debian/control.in

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Nov 2016 11:29:41 +0100

ocaml (4.02.3-7) unstable; urgency=medium

  * d/rules: split install-stamp target into -arch and -indep, to allow
    for building with option -A (Closes: #806087).
  * drop d/ocaml-nox.links.in since it contains only links to the
    ocamlbuild.1 manpage which is no longer shipped by upstream. Thanks
    to Andreas Beckmann for the hint (Closes: #801447).
  * d/ocaml-base-nox.README.Debian: fix two spelling errors.
  * standards-version 3.9.8 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Jul 2016 22:19:44 +0200

ocaml (4.02.3-6) unstable; urgency=medium

  * Add x32 support (Closes: #773409)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Feb 2016 11:34:16 +0100

ocaml (4.02.3-5) unstable; urgency=medium

  * Fix ocamldoc with -pp (Closes: #802347)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Oct 2015 11:41:11 +0200

ocaml (4.02.3-4) unstable; urgency=medium

  * Avoid multiple declarations of caml_set_oo_id in generated .c files
    - Update 0005-Avoid-multiple-declarations-in-generated-.c-files-in.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 19 Oct 2015 01:01:53 +0200

ocaml (4.02.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Oct 2015 10:46:16 +0200

ocaml (4.02.3-2) experimental; urgency=medium

  * Reproducibility changes:
    - ocamlopt: add a .file directive to generated .s files
      + startup files are now deterministic (Closes: #795784)
      + native packed libraries are now deterministic (Closes: #796336)
    - set permissions of patches in ocaml-source

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Aug 2015 09:46:49 +0200

ocaml (4.02.3-1) experimental; urgency=medium

  * New upstream release
    - build and install libasmrun_shared.so (Closes: #461125)
  * Make the ocaml-source binary package reproducible (patch by Chris
    Lamb) (Closes: #779086)
  * Enable ocamldoc to build reproducible manpages (patch by Valentin
    Lorentz) (Closes: #794586)
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Aug 2015 18:53:50 +0200

ocaml (4.02.1-3) experimental; urgency=medium

  * Fix asmcomp tests on sparc
  * Disable prim-bswap test (it fails on arm64)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Feb 2015 11:14:06 +0100

ocaml (4.02.1-2) experimental; urgency=medium

  * Disable endianness-dependent tests
  * Add arm64 to native and natdynlink architectures
  * Merge version 4.01.0-5

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Nov 2014 07:08:04 +0100

ocaml (4.02.1-1) experimental; urgency=medium

  * New upstream release
    - camlp4 and labltk are now distributed separately

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Oct 2014 17:31:42 +0200

ocaml (4.01.0-5) unstable; urgency=medium

  [ Ralf Treinen ]
  * ocaml-mode: change dependency on emacs23 to emacs (closes: #754021)
  * ocaml-mode: add versionend dependency on emacs-common, add a file
    ocaml-mode.emacsen-compat (closes: #749311)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Oct 2014 09:28:06 +0100

ocaml (4.01.0-4) unstable; urgency=medium

  * debian/patches:
    + Make "ocamlopt -g" more resistant to ill-formed locations
    + Fix lost locations in out-of-bounds exceptions
  * Disable the testsocket test because it tries to reach the net
    (Closes: #732951)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 May 2014 15:26:14 +0200

ocaml (4.01.0-3) unstable; urgency=low

  * Upload to unstable
  * debian/patches:
    + Fix native backtraces on arm*
    ~ Disable native backtraces on powerpcspe too
  * Update SLOW_ARCHITECTURES and do not run almabench test there
  * Add libiberty-dev to Build-Depends (Closes: #731047)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 20:03:03 +0100

ocaml (4.01.0-2) experimental; urgency=low

  * debian/patches:
    + Fix ocamlopt on sparc
    + Tune resource usage of some tests to make them work on k-i386
    + Native backtraces don't work on powerpc, sparc and arm*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 02:49:02 +0100

ocaml (4.01.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches:
    - Fix code generation bug with "mod 1" (merged upstream)
    + More tests need upstream behaviour of -custom
    + Fix upstream typos and bad wordings
    + Add const qualifiers in Tcl/Tk bindings
    + Enable mkstemp in yacc
  * Remove testsuite special casing for now
  * Use unversioned Tcl/Tk dependencies
  * Update debian/control.in

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2013 09:45:16 +0100

ocaml (4.00.1-2) experimental; urgency=low

  * debian/patches:
    + Fix (arm) code generation bug with mod 1
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 06:17:33 +0200

ocaml (4.00.1-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * ocaml-compiler-libs: Replaces/Breaks previous versions of
    ocaml-base-nox (Closes: #684031)
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 9

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * Use DEB_BUILD_GNU_TYPE instead of relying on "uname -m" (Closes: #689517).
    Thanks to Konstantinos Margaritis for the patch.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Nov 2012 14:17:27 +0100

ocaml (4.00.0-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Jul 2012 07:30:10 +0200

ocaml (4.00.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
    - fix linking of pthread_atfork (Closes: #682441)
  * Merge changes from 3.12.1-4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jul 2012 15:42:10 +0200

ocaml (4.00.0~beta2-2) experimental; urgency=low

  * Fix natdynlink detection on sparc
  * Cherry-pick an upstream fix in native compilation on powerpc
  * Fixes in the test suite:
    - use legacy -custom for lib-marshal test
    - some tests were still triggering ocamlopt even on bytecode
    - fix asmcomp tests on powerpc
    - fix symbol mangling in asmcomp tests on kfreebsd-i386 and sparc
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jun 2012 16:42:25 +0200

ocaml (4.00.0~beta2-1) experimental; urgency=low

  * New upstream beta release
    - new "R" parameter in OCAMLRUNPARAMS to enable automatic
      randomization of the generic hash function (Closes: #659149,
      CVE-2012-0839)
    - the layout of the ocaml-compiler-libs binary package has changed
      significantly as a result of upstream installing +compiler-libs by
      itself; toplevel libraries have been moved there
  * Change the layout of the ocaml-source binary package
  * Merge changes from version 3.12.1-3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Jun 2012 22:38:41 +0200

ocaml (4.00.0~~dev15+12379-1) experimental; urgency=low

  * New upstream snapshot, based on the 4.00 upstream branch
    - partially revert r12328 to avoid FTBFS
    - the dbm bindings have been removed upstream and are now released
      separately
    - declare armel and armhf as native architectures supporting
      natdynlink
  * Run the test-suite
    - on kfreebsd-*, skip lib-thread tests (they hang and I am not able
      to reproduce it myself)
    - on slow architectures, skip some tests that take too much time
    - fix asmcomp tests on Hurd (Closes: #661716)
    - fix "embedded" test broken by our -custom behaviour

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Apr 2012 09:04:28 +0200

ocaml (3.12.1-4) unstable; urgency=low

  * Change the Debian-specific behaviour of -custom (Closes: #678577)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jun 2012 21:39:18 +0200

ocaml (3.12.1-3) unstable; urgency=low

  [ Hendrik Tews ]
  * Fixes in startup and install files of ocaml-mode:
    - symlink *el files into elc dir (Closes: #452340)
    - use debian-pkg-add-load-path-item in emacsen-startup and emacsen-install
      (Closes: 671559)
    - compile el files with site-file enabled
    - use debian-emacs-flavor in emacsen-startup (see #662163)

  [ Stéphane Glondu ]
  * Fix debian/watch so that refman is not reported as a new version
  * Add some explicit dependencies to avoid spurious Lintian warnings
    about broken symlinks
  * Remove duplicate upstream changelog

 -- Stéphane Glondu <glondu@debian.org>  Mon, 14 May 2012 07:52:40 +0200

ocaml (3.12.1-2) unstable; urgency=low

  * Fix compilation on kfreebsd-any: do not add -R$dir in X11 link options

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 16:11:01 +0100

ocaml (3.12.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #634621)
  * ocamlopt/arm: add .type directive for code symbols (LP: #810402)

  [ Mehdi Dogguy ]
  * Make objinfo show force_link and ccobjs/ccopts when needed

  [ Jonathan Nieder ]
  * debian/control: add Breaks against versions of dh-ocaml that relied on
    the ocaml{dumpapprox,plugininfo,byteinfo} tools (Closes: #642935)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Samuel Thibault ]
  * Add support for ENOTSUP (Closes: #646372)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 13:53:49 +0100

ocaml (3.12.0-7) unstable; urgency=low

  * Force aligned access for double and int64 on mips*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 May 2011 00:01:26 +0200

ocaml (3.12.0-6) unstable; urgency=low

  * Provide a way to use legacy custom linking (Closes: #627761)
  * Document Debian-specific -custom behaviour in README.Debian
  * Properly initialize executable name in caml_startup_code
    (Closes: #627756)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 25 May 2011 07:40:01 +0200

ocaml (3.12.0-5) unstable; urgency=low

  * Fixes related to -output-obj with g++ (in debian/patches):
    - add Declare-primitive-name-table-as-const-char
    - add Avoid-multiple-declarations-in-generated-.c-files-in
    - fix Embed-bytecode-in-C-object-when-using-custom: the closing
      brace for extern "C" { ... } was missing in some cases

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 21:35:08 +0200

ocaml (3.12.0-4) unstable; urgency=low

  * Bugfix in 0008-Embed-bytecode-in-C-object-when-using-custom.patch:
    "-output-obj" should not link a custom runtime! (Fixes FTBFS of
    ocamlnet)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 21:16:33 +0200

ocaml (3.12.0-3) unstable; urgency=low

  * Patch configure script so that hurd-i386 is also recognized as a
    natdynlink architecture (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 14:17:11 +0200

ocaml (3.12.0-2) unstable; urgency=low

  * Patch configure script so that powerpc is recognized as a natdynlink
    architecture (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Apr 2011 23:44:33 +0200

ocaml (3.12.0-1) unstable; urgency=low

  * New upstream release:
    - add Unix.setgroups (Closes: #255245)
    - fix bug in the num library on sparc (Closes: #570920)
    - add armel to native architectures; note that the Dynlink module is
      not available in native code there: software using it should take care
      of this new possibility (Closes: #347270)
    - {add,scrape}labels are no longer installed
    - remove ocaml{byteinfo,plugininfo,dumpapprox}: all tools merged into
      ocamlobjinfo; add binutils-dev to Buid-Depends
  * debian/rules: switch to dh with overrides
  * Embed bytecode in C object when using -custom (Closes: #256900)
  * Ask pkg-config for libx11 path (Closes: #619344)
  * Bump debhelper compat level to 8 (Closes: #562606)
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Apr 2011 17:39:54 +0200

ocaml (3.11.2-4) unstable; urgency=high

  * Fix FTBFS on i386 due to a bug in previous patch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 09 Mar 2011 07:54:58 +0100

ocaml (3.11.2-3) unstable; urgency=high

  * Add patch to fix ocamlopt w.r.t. binutils 2.21 (Closes: #617404)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Mar 2011 21:32:54 +0100

ocaml (3.11.2-2) unstable; urgency=low

  * debian/ocaml-mode.emacs-install: do not byte-compile camldebug.el
    and inf-caml.el for xemacs21 (Closes: #508813, LP: #464587).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Oct 2010 17:46:59 +0200

ocaml (3.11.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 3.8.4 (no changes)

  [ Mehdi Dogguy ]
  * camlp4-extra:
    - Add cma files back into the package (Requested by users).
    - Don't install a manpage for camlp4boot (which is not installed).
  * debian/rules:
    - Do not compute dependencies for camlp4-extra
  * debian/control:
    - Make camlp4-extra depend on ocaml-base-nox

  [ Ralf Treinen ]
  * debian/control.in: bump dependency of ocaml-mode on emacs22 to emacs23.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Feb 2010 22:11:16 +0100

ocaml (3.11.1-5) unstable; urgency=low

  * Use Tcl/Tk 8.5

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Dec 2009 11:58:07 +0100

ocaml (3.11.1-4) unstable; urgency=low

  * Exclude compiler-libs from exported modules (Closes: #554871)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Nov 2009 02:49:50 +0100

ocaml (3.11.1-3) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add two tools:
    - ocamlbyteinfo to read content of bytecode binaries
    - ocamlplugininfo to read content of shared object files (.cmxs)
  * Move some files from ocaml-interp to ocaml-nox and ocaml-base-nox
  * Synchronize debian/control and debian/control.in
  * Remove cma files shipped in camlp4 package and camlp4boot since
    they are not used
  * Add myself to Uploaders and update Stéphane's address
  * Remove DMUA
  * Use dh-ocaml (>= 0.9)

  [ Stéphane Glondu ]
  * Add build-dependency to autotools-dev (for up-to-date config.*)
  * Maintainer scripts:
    - explicitly use set -e
    - remove references to ocaml-md5sums, as its jobs is handled by
      dh_ocaml, now
  * Remove all debian/*.dirs* files to avoid empty directories
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Sep 2009 23:24:52 +0200

ocaml (3.11.1-2) unstable; urgency=low

  * Remove build-dependency to docbook-* (not needed anymore, since
    policy has been moved to dh-ocaml)

 -- Stephane Glondu <steph@glondu.net>  Wed, 24 Jun 2009 12:47:31 +0200

ocaml (3.11.1-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Add kfreebsd-amd64 to the list of supported native architectures.
    (Closes: #519916)

  [ Stefano Zacchiroli ]
  * debian/control:
    - remove recommends to ledit from ocaml-nox (does not ship "ocaml")

  [ Stephane Glondu ]
  * New upstream release:
    - remove dbm_ldopts.dpatch (merged upstream)
    - switch patch system to quilt
  * debian/control:
    - update Standards-Version to 3.8.2
    - move to new section ocaml
    - change Recommends from ledit to "ledit | readline-editor" for
      ocaml-interp
    - remove various obsolete Conflicts and Replaces
  * Move OCaml standard library to /usr/lib/ocaml

 -- Stephane Glondu <steph@glondu.net>  Wed, 24 Jun 2009 10:59:46 +0200

ocaml (3.11.0-5) unstable; urgency=low

  * Uploading to unstable
  * debian/control: bump dh-ocaml to (>= 0.4) to avoid buggy ocamlinit.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 22 Feb 2009 08:49:13 +0100

ocaml (3.11.0-4) experimental; urgency=low

  [ Samuel Mimram ]
  * Add native versions of ocamldep and ocamldoc in findlib's configuration
    when ocaml-native-compilers is installed, closes: #516085.

  [ Stephane Glondu ]
  * Add a script to handle native modules of standard library, and a
    README.source to document it (fixes FTBFS on sparc and powerpc, which
    are native, but do not provide .p.cmx files) (Closes: #516211)
  * Fix FTBFS on bytecode-only architectures:
    - generate manpages for stdlib
    - tell debhelper to ignore ocaml-native-compilers
  * Add lpia (from Ubuntu) to the list of native architectures

 -- Stephane Glondu <steph@glondu.net>  Fri, 20 Feb 2009 09:59:31 +0100

ocaml (3.11.0-3) experimental; urgency=low

  * Mark libthreadsnat.a as native-only file (fix FTBFS on bytecode-only
    architectures)

 -- Stephane Glondu <steph@glondu.net>  Thu, 19 Feb 2009 07:25:27 +0100

ocaml (3.11.0-2) experimental; urgency=low

  [ Stephane Glondu ]
  * Add DM-Upload-Allowed (with Stefano's blessing)
  * Remove binary package-specific copyright files
  * Major changes in debian/rules:
    - more extensive use of debhelper 7
    - do no longer use deprecated dh_movefiles and *.files
    - get closer to CDBS API
    - add versioned build-dependency to dh-ocaml
    - use ocamlinit snippet provided by dh-ocaml
    - add a build cache (for Debian debugging)
    - do not compress labltk examples
    - reflect original locations of camlp4 *.mli files in binary packages
    - remove special handling of CFLAGS (handled by dpkg-buildpackage now)
  * Add dbm_ldopts.dpatch, to add missing linking options for dbm
    (fixes ocsigen FTBFS)
  * Remove man-ocamlmklib.dpatch, and put manpage in debian/man
  * Remove {dumpobj,objinfo}.dpatch, and put manpages in debian/man
  * Build and install dumpapprox, and provide a manpage
  * Discriminate *-nox packages in short descriptions (thanks Lintian)

  [ Stefano Zacchiroli ]
  * debian/control:
    - clean-up Uploaders, removing people no longer contributing and
      handling some specific removal requests
    - bump versioned dep on ocaml --Replaces-> ocaml-nox to avoid file
      overwrite upgrade problems

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 18 Feb 2009 14:39:31 +0100

ocaml (3.11.0-1) experimental; urgency=low

  * New upstream release:
    - manpages.dpatch, ocamldoc.dpatch removed (merged upstream)
    - for_pack_static.dpatch removed (obsolete)
    - call_ld_with_proper_flags.dpatch fixed (Closes: #506286)
  * Add debian/changelog entry for version 3.09.2-8
  * Install *.cmxs (and matching *.cma) in ocaml-base*
  * Don't put .git directory in ocaml-source

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 19:57:18 +0100

ocaml (3.11.0~beta1-1) experimental; urgency=low

  [ Stephane Glondu ]
  * New upstream beta release:
    - camlrun_shared.dpatch removed (integrated upstream)
    - not-native-no-aspp.dpatch removed (thanks to upstream bugfix)
    - all other patches updated
    - manpages.dpatch and ocamldoc.dpatch added
    - dependency to gcc-4.2 on arm removed
  * Switching packaging to git (from svn)
  * Bump debhelper compatibility level to 7, and use debian/clean feature
    of dh_clean
  * Add myself to uploaders, and update Julien's address
  * Add explicit dependency from camlp4-extra to ocaml-nox

  [ Stefano Zacchiroli ]
  * Bump Standards-Version to 3.8.0, no changes needed
  * No longer ship stuff that will be now shipped by the new dh-ocaml
    package:
    - OCaml packaging policy
    - CDBS class ocaml.mk and related helpers
    - dh_ocaml debhelper
    - ocaml-md5sums (therefore also disable its usage at the end of the
      build process)

 -- Stephane Glondu <steph@glondu.net>  Mon, 03 Nov 2008 23:10:06 +0100

ocaml (3.10.2-3) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/rules: force using gcc-4.2 on arm (fix FTBFS on arm)

  [ Ralf Treinen ]
  * Added myself to uploaders.

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 May 2008 23:31:52 +0200

ocaml (3.10.2-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * releasing to unstable
  * fix "OCaml" spelling errors in package descriptions (thanks lintian!)

  [ Romain Beauxis ]
  * removed virtual package from internal dependencies in favour of strict
    versioned dependencies. Prevents build failures under some situations.

  [ Sylvain Le Gall ]
  * changing doc-base section of generated documentation to Programming/OCaml
    (Closes: #476647)
  * OCaml Packaging Policy:
    - update camlp4/camlp5 policy chapter
    - register policy in doc-base

  [ Ralf Treinen ]
  * OCaml Packaging Policy:
    - update OCaml version to 3.10.2
    - add a section on where to register documentation with doc-base.

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 18 May 2008 21:46:38 +0200

ocaml (3.10.2-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
    - bump OCAMLMINOR in debian/rules accordingly
  * ship .mli files pertaining to ocaml-interp (Closes: #449559)
  * ship .mli files pertaining to camlp4 (Closes: #449558)

  [ Samuel Mimram ]
  * Add a dependency from ocaml-base to libx11-dev (Closes: #465764)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 10:15:33 +0100

ocaml (3.10.1-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.
  * Removed arm_ccheckbound_typo.dpatch, integrated upstream.

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Policy: add section on correct spelling OCaml, bump version to 0.7.2

  [ Julien Cristau ]
  * Add ${shlibs:Depends} and ${misc:Depends} to all packages.

 -- Samuel Mimram <smimram@debian.org>  Tue, 05 Feb 2008 18:28:56 +0100

ocaml (3.10.0-13) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix the cdbs class to pass -I flags down to ocamldoc

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 15:48:54 +0100

ocaml (3.10.0-12) unstable; urgency=low

  [ Julien Cristau ]
  * libgraphics.a is built for ocamlc, not ocamlopt.  Install it
    unconditionally in the ocaml package.  Have ocaml replace ocaml-nox
    because of this move (closes: #457569).  Thanks, Peter Palfrader!

 -- Samuel Mimram <smimram@debian.org>  Wed, 26 Dec 2007 14:03:36 +0100

ocaml (3.10.0-11) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * explicitely chmod +x ocamldoc-api-ref-config during build

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 19 Dec 2007 12:15:08 +0100

ocaml (3.10.0-10) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * ignore ocamldoc-api-ref-config when invoking dh_fixperms, so that it
    remains executable (closes: #457014)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 19 Dec 2007 08:37:02 +0100

ocaml (3.10.0-9) unstable; urgency=low

  [ Samuel Mimram ]
  * Suggest "tarballs" instead of "upstream" in the policy as directory name
    for storing upstream sources since it is more standard.
  * Corrected emacs startup file, closes: #446177.

  [ Stefano Zacchiroli ]
  * add patch camlrun_shared, which ships an alternative version of the
    camlrun library (called "camlrun_shared") made of PIC objects
  * add Homepage field to debian/control

  [ Sylvain Le Gall ]
  * fixes in cdbs class for ocamldoc generation, provides
    ocamldoc-api-ref-config to centralize generation of .ocamldoc-apiref
  * remove ia64, arm and alpha native arches (no more ocamlopt for this arches)
  * array is bashism, remove it from ocamldoc-api-ref-config
  * upgrade to Standards-Version 3.7.3 (no change)
  * make the lintian override work: add the name of the package in
    front of each override line, place the file in
    usr/share/lintian/overrides and not inside a directory in this
    directory
  * make clean cleaner (remove byterun/libcamlrun_shared.so)
  * remove empty directories left after moving files away from ocaml-nox
    hierarchy
  * add a comment to install_ocamlbuild patch, to prevent lintian
    warning

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 15 Dec 2007 17:57:36 +0100

ocaml (3.10.0-8) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * CDBS class
    - invoke ocamldoc after dh_install has been run (otherwise ocamldoc is
      likely to generate empty API references ...)
    - add support for automatic generation of doc-base entries for ocamldoc
      generated API reference
    - better test for package membership to OCAML_OCAMLDOC_PACKAGES
  * debian/ocaml-base-nox.README.Debian
    - add an entry describing the requirement for compiling ocamldoc-generated
      LaTeX documentation (closes: #420782)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 19:11:14 +0200

ocaml (3.10.0-7) unstable; urgency=low

  [ Sylvain Le Gall ]
  * add patch not-native-no-aspp to workaround FTBFS, as described upstream in
    bug 4375 (closes: #429185)
  * don't ignore make clean error
  * move menu section of ocaml interpreter to Applications/Programming
    to comply with new menu structure


  [ Stefano Zacchiroli ]
  * CDBS class
    - add support for specifying the target dir for generated documentation
    - various fixes in ocamldoc invocation

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 01 Sep 2007 22:33:52 +0200

ocaml (3.10.0-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/ocaml-nox.dirs.in
    - avoid creating empty /usr/include/ocaml/* directory (closes: #439017)
  * CDBS class
    - add support for automatic ocamldoc HTML documentation generation
  * Policy
    - add an appendix about the CDBS class with some minimal information and
      pointers to the commented .mk files

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 30 Aug 2007 15:54:24 +0200

ocaml (3.10.0-5) experimental; urgency=low

  [ Ralf Treinen ]
  * ocaml-mode.emacsen-install: do not hardcode the emacs flavours for which
    to compile ocaml-mode (closes: Bug#433082)
  * ocaml-mode: Bump primary dependency from emacs21 to emacs22.

  [ Stefano Zacchiroli ]
  * add patch arm_ccheckbound_typo, fix a typing error typo which makes ocaml
    FTBFS on arm
  * ocaml-source: install ocaml tarball as
    /usr/src/ocaml-source-VERSION.tar.bz2; the "-source" part was erroneously
    missing and make other packages FTBFS
  * bump debhelper dependencies and compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 12 Aug 2007 19:29:07 +0200

ocaml (3.10.0-4) experimental; urgency=low

  * debian/patches/install_ocamlbuild.dpatch
    - patched to install ocamlbuild as .native/.byte (following upstream
      convention which will become widespread in the future), but changes
      ocamlbuild to be a symlink to the best ocamlbuild available
  * CDBS class:
    - avoid dpatch breaking upon clean if debian/patches/*.in files are in use
    - fix the usage example for "OCAML_IN_FILES += ...", it was wrong

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Jul 2007 11:50:43 +0200

ocaml (3.10.0-3) experimental; urgency=low

  * debian/patches/00list
    - enabled install_ocamlbuild patch (was disabled by mistake) and patched
      it fixing a wrong path
  * debian/rules
    - pass -libdir to configure (now that it is supported upstream) in
      addition to sed-ing generated config Makefiles; otherwise ocamlrun won't
      get the correct libdir setting
  * debian/ocaml-md5sums/ocaml-md5sums.1
    - written ocaml-md5sums manpage
  * debian/ocaml-native-compilers.links
    - delegated to dh_link the creation of .opt manpage symlinks and added the
      missing one for ocamlbuild.opt

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 16 Jun 2007 16:17:17 +0000

ocaml (3.10.0-2) experimental; urgency=low

  * Split two new packages: "camlp4" and "camlp4-extra" to cope with the huge
    size increase of the new camlp4
  * Policy
    - update the Vcs-Svn info to the latest PTS documentation
    - describe dependencies from a -dev package to its companion shared stub
      package (if any) and suggest the usage of ${binary:Version}
  * debian/copyright
    - added in place of copyright.in, nothing to replace there
  * debian/man/camlp4*.1
    - added manpages for camlp4 related executables; content partially using
      html2man, partially taken from the camlp4 wiki
  * debian/control
    - moved ledit recommends from ocaml-nox to ocaml-interp (which ships the
      interactive toplevel)
    - minor improvements to various descriptions

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 16 Jun 2007 12:41:32 +0100

ocaml (3.10.0-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream (stable) release
  * debian/patches/*
    - removed: ocaml-interp_manpage, build_wo_debug_info (integrated upstream)
    - updated: install_ocamlbuild
  * ship ocaml-compiler-libs objects as STDLIB/ocaml-compiler-libs/{parsing/,
    typing/, utils/} rather than as a flat dir tree
  * re-enabled ocaml-source package (which ships
    /usr/src/ocaml-3.10.0.tar.bz2), now with a better way to generate it:
    everything in the build dir except debian/ will be copied in the resulting
    tarball
  * debian/ocaml-source.exclude
    - new file: list of tar exclude patterns, matching file won't be shipped
      in the ocaml source tarball

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Jun 2007 17:19:10 +0200

ocaml (3.10.0~beta-1) experimental; urgency=low

  [ Samuel Mimram ]
  * Ship dh_ocaml into ocaml-nox

  [ Stefano Zacchiroli ]
  * New upstream beta release (3.10.0).
  * debian/patches/*
    - removed: versioned_libdir (no longer needed with this upstream)
    - ported to this upstream: call_ld_with_proper_flags, alpha_ld_no-relax,
      no_rpath
    - added: build_wo_debug_info.dpatch (avoid building camlp4/ocamldoc with
      debug info, wont be needed for the stable release)
  * CDBS class
    - added support for the OCAML_DLL_DIR variable, pointing ATM to the
      stublibs/ subdirectory of the standard library directory. It's
      substituted for @OCamlDllDir@ in .in files
    - remove files which have been generated from their .in counterparts upon
      clean target invocation
  * Policy
    - mandate the compilation of *.cm[ao] with debugging information for
      libraries and forbid it for bytecode programs
  * debian/rules
    - delegated more installation stuff to dh_install
  * debian/control
    - get rid of the no longer needed ocaml-source package

  [Ralf Treinen]
  * debian/patches/*
    - added: install_scripts_config: use a patched config.sh since PREFIX is
      diferent at compile time and at installation time
    - added: ocaml-interp_manpage, fixes typo in ocaml manpage
      (closes: Bug#417847).
  * debian/rules:
    - added creation of config/config.debian.install
    - Patch LIBDIR and STBLIBDIR setting in config/Makefile after invokation
      of configure

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 17 Apr 2007 09:57:47 +0200

ocaml (3.09.3-1) experimental; urgency=low

  [ Samuel Mimram ]
  * New upstream release.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Sat, 30 Sep 2006 01:15:16 +0200

ocaml (3.09.3~rc1-1) experimental; urgency=low

  [ Julien Cristau ]
  * New upstream release candidate.

 -- Samuel Mimram <smimram@debian.org>  Sun, 10 Sep 2006 23:11:31 +0000

ocaml (3.09.2-8) unstable; urgency=low

  [ Samuel Mimram ]
   * Installing ocamlbrowser in ocaml instead of ocaml-nox, closes: #397245.

  [ Julien Cristau ]
  * Add patch stolen from 3.09.3 to fix a segfault when a file is closed
    twice (closes: #403848).
  * Delete directories left over by the ocaml package from sarge in
    /usr/local (closes: #355448).

 -- Samuel Mimram <smimram@debian.org>  Sat, 30 Dec 2006 19:01:12 +0000

ocaml (3.09.2-7) unstable; urgency=low

  [ Julien Cristau ]
  * Fix typo in ocaml-base description (Closes: #390224).

  [ Stefano Zacchiroli ]
  * debian/control
    - added XS-Vcs-Svn field to let users know where our svn repository is
  * Added .txt suffix to the textual version of the policy
  * Ship CDBS class for building OCaml related packages in
    /usr/share/cdbs/1/; permission granted by the CDBS maintainers to
    ship files there, see #387299. (Closes: #387299).
  * Updated policy (now at version 0.7.1); changes:
    - added a best-practice section about using the XS-Vcs-Svn field in
      debian/control of OCaml related packages
    - fixed typo in the suggested debian/rules line to fill the OFILES
      variable

  [ Samuel Mimram ]
  * Updated policy (section 2.3) to explain how to add a conditional
    dependency on ocaml-base-nox-VERSION for native/bytecode packages.

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Oct 2006 15:42:08 +0200

ocaml (3.09.2-6) unstable; urgency=low

  * Correct /usr/include/caml symbolic link, closes: #379271.
  * Correct symbolic links in documentation directories.
  * Updated policy.

 -- Samuel Mimram <smimram@debian.org>  Sun, 23 Jul 2006 14:37:36 +0000

ocaml (3.09.2-5) unstable; urgency=low

  * Added a missing dependency on docbook-xml, closes: #373996.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Jun 2006 17:58:35 +0000

ocaml (3.09.2-4) unstable; urgency=low

  [ Julien Cristau ]
  * Update reference to upstream tarball location in debian/copyright.
  * Actually apply the patch to fix the stdlib manpages' section.

  [ Samuel Mimram ]
  * Integrate the ocaml policy in the package. Added a build dependency on
    docbook-utils to build it.
  * Put the symbolic links directly in the packages instead of using postinst.
  * Put forgotten ocamldep.opt in ocaml-native-compilers.
  * We don't need to remove rpaths anymore.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Jun 2006 09:11:02 +0000

ocaml (3.09.2-3) unstable; urgency=low

  * Uploading to unstable.

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 May 2006 20:40:39 +0000

ocaml (3.09.2-2) experimental; urgency=low

  [ Julien Cristau ]
  * Add a patch to put stdlib manpages in section 3o.
  * Fix typo in ocamldumpobj(1).
  * Add symlinks so that ocamldep.opt(1) and ocamllex.opt(1) exist.

  [ Samuel Mimram ]
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Wed, 10 May 2006 21:32:57 +0000

ocaml (3.09.2-1) experimental; urgency=low

  * New upstream release.
  * Added no_rpath.dpatch (taken from Red Hat) in order for caml not to put
    rpath in generated shared libraries, closes: #361865.

 -- Samuel Mimram <smimram@debian.org>  Tue, 18 Apr 2006 17:14:59 +0000

ocaml (3.09.1+3.09.2rc1-1) experimental; urgency=low

  [ Julien Cristau ]
  * Remove dh_gencontrol line for ocaml-source from the binary-arch target
    (ocaml-source is built in binary-indep).
  * New upstream release candidate:
    + add support for GNU/Hurd (Closes: #358274).
    + fix handling of `new' in camlp4 which caused stack overflow (Closes:
    #355651).
  * Drop kbsd-gnu.dpatch, obsolete.

  [ Samuel Mimram ]
  * Use new icon, closes: #358946.
  * Link to README.Debian instead of README.Debian.gz in
    /usr/share/doc/ocaml-base, closes: #355975.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 30 Mar 2006 15:10:14 +0200

ocaml (3.09.1-3) unstable; urgency=low

  * Enable ocaml-mode for emacs-snapshot (Closes: #347917).
  * Change the patch added in 3.09.1-2, because it broke ocamlopt -pack on
    sparc (we now filter link options to remove the "-Wl," part, and then use
    ld). Thanks to Sylvain Le Gall for noticing, and to Samuel Thibault for
    his help debugging this (Closes: #351853).
  * [debian/rules] Make install-* depend on build-*, and tweak the rules to
    not rerun configure in the 'binary' phase.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu,  9 Feb 2006 15:14:43 +0100

ocaml (3.09.1-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Cleaning ocaml-md5sums, closes: #346279.

  [ Julien Cristau ]
  * build-arch is a phony target.
  * Add patch to make ocamlopt -output-obj and ocamlopt -pack call the linker
    via gcc instead of directly, which allows us to pass the same linking
    options in these cases and in the common case (where ocamlopt already used
    gcc). This should unbreak ocamlopt -pack on alpha, and thus fix the build
    failure of camomile.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 12 Jan 2006 15:33:00 +0100

ocaml (3.09.1-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Removing possibly leftover /usr/lib/ocaml/ld.conf, closes: #300846.
  * Updated objinfo.dpatch.
  * Added dumpobj.dpatch to install ocamldumpobj.
  * Added a rule in rules to generate (manually) ocaml-source.files and
    updated ocaml-source.files.
  * Added a watch file.

  [ Julien Cristau ]
  * New upstream release
    + sparc is correctly detected and alignment of doubles and 64-bit ints on
      double-word boundaries is forced (Closes: #344615).
  * Remove Suggests on xlibs-dev which doesn't exist anymore.

 -- Samuel Mimram <smimram@debian.org>  Wed,  4 Jan 2006 20:32:13 +0100

ocaml (3.09.0-4) unstable; urgency=low

  [ Julien Cristau ]
  * debian/rules: the abi-sed rule is phony, we don't want to run configure
    twice.
  * Stop building the native compilers on hppa, they are buggy and upstream
    considers this port dead (see bug#342704).

  [ Samuel Mimram ]
  * Added for_pack_static.dpatch (from CVS) to correct a bug when linking,
    disabled for now though.
  * Added myself to uploaders.

  [ Julien Cristau ]
  * Install the list of architectures with native compilers in the ocaml-nox
    package.

  [ Sven Luther ]
  * This version should make it into testing, so let's (Closes: #338435).

 -- Sven Luther <luther@debian.org>  Mon, 19 Dec 2005 13:36:31 +0000

ocaml (3.09.0-3) unstable; urgency=low

  * Fix build on non-native arches which was broken by the changes to
    debian/rules in the previous release. Sorry for this :(

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Fri,  9 Dec 2005 11:01:06 +0100

ocaml (3.09.0-2) unstable; urgency=low

  * Modified debian/rules to exit with an error when native compiler build
    fails, instead of building a broken package.
  * New patch kbsd-gnu.dpatch to add support for GNU/Hurd and GNU/k*BSD on
    i386 (thanks to Robert Millan and Aurélien Jarno; Closes: #216886).
  * Add myself to Uploaders (acked by Sven).
  * Add patch by Steve Langasek <vorlon@debian.org> to fix native code linking
    by passing the --no-relax option to ld (Closes: #338437).
    Bug#335578 stays open since a proper fix to the generated asm would still
    be better than this workaround.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu,  8 Dec 2005 10:19:39 +0100

ocaml (3.09.0-1) unstable; urgency=low

  * New upstream release.
    - self references are now ruled out (Closes: #263163, #294753)
    - better escaping in manpages generated by ocamldoc (Closes: #301046)
    - typo fixed in ocamldoc.1 (Closes: #304360)
    - argument order changed in Map.fold (Closes: #327211)

  [ Julien Cristau ]
  * Cleanup debian/control: remove redundant Depends.
  * Update location of ocaml-md5sums stuff.
  * Build-Depend on chrpath and delete rpath from DLLs.
  * Various lintian warnings fixed, and overrides cleaned up.

  [ Sven Luther ]
  * Updated to new upstream release.
  * Modified the packaging ifrastructure to not use hard-coded abi number
    except in the head of debian/rules. All else is sed'ed from #OcamlABI#
    (and #OcamlMAJOR# for the debian/copyright file and the upstream url).

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Mon, 07 Nov 2005 10:56:49 +0100

ocaml (3.08.3-8) unstable; urgency=low

  Changes by Jérôme Marant:
  * Create a new `ocaml-mode' package dedicated at Emacs-related files
    (Closes: Bug#312618, Bug#322210)
  * debian/control:
    - Add new ocaml-mode package section
    - [ocaml-nox]
      + Remove emacsen-common dependency
      + Suggests tuareg-mode or ocaml-mode
  * debian/ocaml-mode.dirs: New file
  * debian/ocaml-nox.dirs: Remove emacsen-related files entries
  * debian/ocaml-mode.emacsen-install,
    debian/ocaml-mode.emacsen-remove,
    debian/ocaml-mode.emacsen-startup: New files respectively renamed from
    emacsen-install, emacsen-remove and emacsen-startup
  * debian/ocaml-nox.postint: Rename previous existing emacs site
    conffiles to <file>.save in order to avoid messing with the new
    ocaml-mode
  * debian/rules: Install ocaml-mode files in their own location
  * debian/ocaml-base-nox.README.Debian: Mention new ocaml-mode package
  * debian/ocaml-nox.NEWS:
    - New file
    - Mention all emacs-related files moved to a separate ocaml-mode
      package
    - Mention that all previous emacs conffiles are renamed in order
      not to mess with the new ocaml-mode
  * debian/ocaml-mode.README.Debian:
    - New file
    - Explain how to override tuareg-mode in case both modes are
      installed

  * debian/changelog: Remove spurious changelog entry

  * Move ocaml-md5sums from a dpatch to a debian subdirectory
  * debian/patches/ocaml-md5sums.dpatch: Remove file
  * debian/patches/00list: Remove ocaml-md5sums entry
  * debian/ocaml-md5sums/{configure,feeding.sh,Makefile,ocaml-md5sums.ml.in}:
    - New files
  * debian/rules: Update ocaml-md5sums files location accordingly

  * Move ocaml-nox menu file to ocaml-interp since the toplevel
    is provided by ocaml-interp
  * debian/ocaml-interp.menu:
    - New file renamed from ocaml-nox.menu
    - Change 'ocaml' to 'ocaml-interp' in the required package for
      the menu to be displayed
  * debian/ocaml-interp.dirs: Add pixmaps directory
  * debian/ocaml-nox.dirs: Remove pixmaps directory

  * Move xpm files away from the /usr/X11R6 deprecated directory
    hierarchy to /usr/share/pixmaps, as per Policy (11.8.7)
  * debian/rules: install JoeCaml.xpm in /usr/share/pixmaps within the
    ocaml-interp package
  * debian/ocaml-interp.menu: Change pixmap location

  * Really install menu files
  * debian/rules: uncomment dh_installmenu in the build-common target

  * debian/ocaml-nox.preinst: Remove bashism

  * Add dependencies on gcc and binutils for all interpreters since
    OCaml compilers may use of them (Closes: Bug#322722)
  * debian/control:
    - [ocaml-nox]: Add dependency on both gcc and binutils
    - [ocaml-native-compilers]: Likewise

  Changes by Stefano Zacchiroli:
  * debian/rules
    - remove spurious CVS directories from labltk examples
      (Closes: Bug#322712)
  * debian/ocamlfind/ocaml-native-compilers.conf
    - gets installed under /usr/share/ocaml-findlib/ so that, if
      ocamlfind is available, compiling with findlib will use the
      native compilers

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Thu, 08 Sep 2005 12:46:36 +0200

ocaml (3.08.3-7) unstable; urgency=low

  Changes by Sven Luther:
  * debian/patches/byterun_interp_ia64_fix.dpatch
    - Removed spurious ia64 cast which broke builds with gcc 4.0

  Changes by Stefano Zacchiroli:
  * debian/control
    - added versioned dep from ocaml-compiler-libs to ocaml-base-nox to
      ensure ocaml-md5sums exists at postinst invocation time
  * debian/{ocaml-compiler-libs,ocaml-nox,ocaml}.postrm
    - invoke ocaml-md5sums update only if it is available, if not
      md5sums database will be updated next time ocaml-base-nox will be
      installed (Closes: Bug#322210)
  * debian/patches/ocaml-md5sums
    - avoid failure on update if /var/lib/ocaml/md5sums does not exists

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Fri, 12 Aug 2005 10:47:30 +0200

ocaml (3.08.3-6) unstable; urgency=low

  Changes by Stefano Zacchiroli:
  * debian/control
    - added versioned dep from ocaml to ocaml-base-nox to ensure
      ocaml-md5sums exists at postinst invocation time (Closes: #320779)

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Sun, 31 Jul 2005 11:37:24 +0200

ocaml (3.08.3-5) unstable; urgency=low

  Changes by Stefano Zacchiroli:
  * debian/patches/ocaml-md5sums.dpatch
    - use relative path for ocamlrun when compiling ocaml-md5sums
      (Closes: #320622)
    - enable external specification, via env var, of ocamlobjinfo path
    - fixed bug in feeding.sh which inhibit discovery of *.cm[ao]
  * debian/rules
    - passes relative path of ocamlobjinfo to ocaml-md5sums

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Fri, 29 Jul 2005 12:55:56 +0200

ocaml (3.08.3-4) unstable; urgency=low

  Changes by Julien Cristau:
  * Create directories in /usr/local/lib with proper permissions in
    ocaml-base-nox's postinst, and remove them if empty in prerm
    (Closes: #270925).
  * debian/patches/asmcomp_amd64_emit.mlp.dpatch: patch from upstream bugfix
    branch by Xavier Leroy to fix code generation on amd64 (reported by John
    Skaller).
  * debian/patches/fix_i386_gcc4_build.dpatch: patch from upstream to fix
    inline i386 assembly in the num library to allow building ocaml with
    gcc-4.0 (Closes: #309317).
  * debian/control: Add a dependency on emacsen-common, because this is needed
    to install the caml emacs mode in ocaml-nox (Closes: #312618).

  Changes by Stefano Zacchiroli:
  * debian/patches/ocaml-md5sums, debian/rules,
    debian/{ocaml,ocaml-nox,ocaml-compiler-libs}.{postinst,postrm}
    - added ocaml-md5sums, ocaml md5sum registry handler for the forthcoming
      dh_ocaml
  * Removed debian/ocaml-compiler-libs.README.Debian (out of date copy of
    debian/README.Debian); added symlink from ocaml-base to README.Debian
  * Added debian/svn-deblayout to make svn structure work with
    svn-buildpackage
  * debian/control
    - bumped Standards-Version to 3.6.2
    - changed Maintainer to Debian OCaml Maintainers for this upload, set
      Uploaders to Sven and me
  * debian/rules
    - ignore error on clean target for config.{sub,guess} so that
      svn-buildpackage does not fail at clean time

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Thu, 21 Jul 2005 00:24:26 +0200

ocaml (3.08.3-3) unstable; urgency=medium

  * Missed the include symlink in 3.08 -> 3.08.3 migration.
    /me slaps myself, really need to automate this.

 -- Sven Luther <luther@debian.org>  Wed, 23 Mar 2005 00:30:19 +0100

ocaml (3.08.3-2) unstable; urgency=medium

  * Missed some 3.08 -> 3.08.3 migration for ld.conf files.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:06:01 +0100

ocaml (3.08.3-1) unstable; urgency=medium

  * New upstream stable point version.
    - breaks binary compatibility, we thus have to up the ABI version
      to 3.08.3.
  * New features
    - ignore unknown warning options for forward and backward compatibility
    - runtime: export caml_compare_unordered (PR#3479)
    - camlp4: install argl.* files (PR#3439)
    - ocamldoc: add -man-section option (Closes: #287538)
    - labltk: add the "solid" relief option (PR#3343)
    - compiler: ocamlc -i now prints variance annotations
  * Bug fixes:
    - typing: fix unsoundness in type declaration variance inference.
      Type parameters which are constrained must now have an explicit variant
      annotation, otherwise they are invariant. This is not backward
      compatible, so this might break code which either uses subtyping or
      uses the relaxed value restriction (i.e. was not typable before 3.07)
    - typing: erroneous partial match warning for polymorphic variants (PR#3424)
    - runtime: handle the case of an empty command line (PR#3409, PR#3444)
    - stdlib: make Sys.executable_name an absolute path in native code (PR#3303)
    - runtime: fix memory leak in finalise.c
    - runtime: auto-trigger compaction even if gc is called manually (PR#3392)
    - stdlib: fix segfault in Obj.dup on zero-sized values (PR#3406)
    - camlp4: correct parsing of the $ identifier (PR#3310, PR#3469)
    - autoconf: better checking of SSE2 instructions (PR#3329, PR#3330)
    - graphics: make close_graph close the X display as well as the window (PR#3312)
    - num: fix big_int_of_string (empty string) (PR#3483)
    - num: fix big bug on 64-bit architecture (PR#3299)
    - str: better documentation of string_match and string_partial_match (PR#3395)
    - unix: fix file descriptor leak in Unix.accept (PR#3423)
    - unix: miscellaneous clean-ups
    - unix: fix documentation of Unix.tm (PR#3341)
    - compiler: fix error message with -pack when .cmi is missing (PR#3028)
    - cygwin: fix problem with compilation of camlheader (PR#3485)
    - stdlib: Filename.basename doesn't return an empty string any more (PR#3451)
    - stdlib: better documentation of Open_excl flag (PR#3450)
    - ocamlcp: accept -thread option (PR#3511)
    - ocamldep: handle spaces in file names (PR#3370)
    - compiler: remove spurious warning in pattern-matching on variants (PR#3424)

 -- Sven Luther <luther@debian.org>  Mon, 21 Mar 2005 07:46:26 +0100

ocaml (3.08.2-1) unstable; urgency=low

  * new upstream stable release.

 -- Sven Luther <luther@debian.org>  Sat, 27 Nov 2004 12:25:08 +0100

ocaml (3.08.1-2) unstable; urgency=high

  * Cleaned up ocaml-source location.

 -- Sven Luther <luther@debian.org>  Wed, 25 Aug 2004 15:10:12 +0200

ocaml (3.08.1-1) unstable; urgency=high

  * New upstream stable point release.
  * Dropped QPL 6c qnd choice of venue clause from the QPL licence.
  * The emacs files are now under GPL, adding them again.
  * Added ocamlmklib man page, courtesy of Samuel Mimram .
  * Removed camlp4-coq-fix, since it is now fixed upstream.

 -- Sven Luther <luther@debian.org>  Thu, 19 Aug 2004 18:49:30 +0200

ocaml (3.08.0-2) unstable; urgency=low

  * Applied patch adding some missing .cmx to enable coq 3.08 to build.
  * Enabled hppa native code compiler. (Closes: #260711)
  * Don't install native compiler libs on arches they are not built.
  * Readded objinfo patch.

 -- Sven Luther <luther@debian.org>  Mon, 26 Jul 2004 14:08:42 +0200

ocaml (3.08.0-1) unstable; urgency=low

  * New upstream release.
    - Added support for IPv6 in unix library. (Closes: #223480, #234400)
  * Do not install the emacs files, until upstream gives a response about the
    licencing issue. (Closes: #227159, #227163)
  * Fix non-native compiler supporting arches build. (Closes: #259261)
  * Added amd64 native code compilers build. (Closes: #248334)
  * Now include the nums package again, since 3.08 include the new free
    version. (Closes: #240902)
  * Now include ocamldoc manpage. (Closes: #255239)

 -- Sven Luther <luther@debian.org>  Thu, 15 Jul 2004 09:21:55 +0200

ocaml (3.07.2a-4) unstable; urgency=low

  * *-nox and -interp now conflict with the package which previously
    distributed their files as suggested in policy 7.5.1
  * Fixed the Conflicts entries to use the proper version of ocaml:
    3.07.2a instead of 3.07.

 -- Mike Furr <mfurr@debian.org>  Mon,  5 Jul 2004 14:13:55 -0400

ocaml (3.07.2a-3) unstable; urgency=low

  * Split out the ocaml interpreter and all required files into ocaml-interp
  * Split out all of the tk/xlibs stuff from ocaml into ocaml-nox and from
    ocaml-base into ocaml-base-nox
  * Added a bunch of internal modules from the compiler into a new binary:
    compiler-libs.  Also added notes in REAMDE.D and copyright that these
    are QPL, not LGPL like everything else.
  * Changed 'Objectif' to 'Objective' in ocaml-source short description
  * Cleaned up debian/rules.  It now uses stamp files a little more
    intelligently so that it doesn't rebuild the whole thing every time
  * Check to see if /usr/include/caml EXISTS and is a symblink thus
    eliminating a spurious warning message from ocaml-nox.preinst
  * Removed 'num' library from ocaml-sources.files

 -- Mike Furr <mfurr@debian.org>  Thu, 10 Jun 2004 22:44:34 -0400

ocaml (3.07.2a-2) unstable; urgency=low

  * Now install the config/Makefile so that nat/bignum can be built as an
    external package.
  * Modified configure so that the Makefile variables for both nat/bignum
    implementations are written in the config/Makefile.

 -- Sven Luther <luther@debian.org>  Wed, 17 Dec 2003 12:52:28 +0100

ocaml (3.07.2a-1) unstable; urgency=low

  * New upstream .2 release, including the ocaml-3.07-pl2 patch.
  * Removed the otherlibs/num library, since the copyright is non-free, and
    the copyright got lost in the HP/Compaq acquisition. Thanks to Bdale
    Garbee for trying to solve this issue, but since the release approaches,
    and upstream is reimplementing the library anyway, i will remove it here.
  * Fixed broken emacs file caml-types.el. (Closes: #218226)

 -- Sven Luther <luther@debian.org>  Fri, 31 Oct 2003 14:46:02 +0100

ocaml (3.07-7) unstable; urgency=high

  * Fixed hppa build problem : hppa needs doubleword aligned doubles.
  * Removed .dpatch extensions for debian/patches/00list, should enable to
    build with older versions of debhelper, like the one in woody.
    (Closes: #214967).
  * Removed leftover ocaml 3.06 ld.conf stuff. (Closes: #214772)
  * Applied the ocaml-3.07-pl2 patch inplace of the previous camlp4 patch.
    (Closes: #216152)

 -- Sven Luther <luther@debian.org>  Fri, 17 Oct 2003 00:48:39 +0200

ocaml (3.07-6) unstable; urgency=low

  * Changed from the -a to the -s option in debhelper functions. Fixed FTBFS
    in all non-native autobuilders.

 -- Sven Luther <luther@debian.org>  Mon,  6 Oct 2003 09:07:42 +0200

ocaml (3.07-5) unstable; urgency=low

  * Somehow the objinfo patch forgot to install objinfo, fixed now. Also
    renamed objinfo to ocamlobjinfo, to be more in line with the other ocaml
    executables.
  * Test for emacsen flavor early one and abort if unsupported.
    (Closes: #213862)

 -- Sven Luther <luther@debian.org>  Fri,  3 Oct 2003 17:08:29 +0200

ocaml (3.07-4) unstable; urgency=low

  * Arg, dh_gencontrol seems to not support putting stuff after the
    substitution variable, which seems somewhat broken to me, anyway, let's
    put the substitution variable last.
  * Forgot to add the camlp4_optional.dpatch to the list of patches to be
    applied. (Closes: #213881)

 -- Sven Luther <luther@debian.org>  Fri,  3 Oct 2003 10:54:26 +0200

ocaml (3.07-3) unstable; urgency=low

  * Fixed BestProvide magic, as a space was breaking non-native builds.

 -- Sven Luther <luther@debian.org>  Fri,  3 Oct 2003 08:16:18 +0200

ocaml (3.07-2) unstable; urgency=low

  * I mistakenly uploaded to experimental, and thus am forced to upload a -2.

 -- Sven Luther <luther@debian.org>  Thu,  2 Oct 2003 11:41:53 +0200

ocaml (3.07-1) experimental; urgency=low

  * New upstream release.
    - Most debian patches where included upstream.
    - Standard library now use .3o suffixes. (Closes: #205391)
  * Dpatchification.
  * Applied the camlp4 optional arguments fix.
  * Fixed emacsen-install so that caml-xemacs and caml-emacs get installed
    only for the corresponding emacs flavors. Thanks go to Jerome Marant.
  * Moved ocaml-source into a tarball.

 -- Sven Luther <luther@debian.org>  Wed,  1 Oct 2003 13:31:23 +0200

ocaml (3.06-21) unstable; urgency=low

  * I botched the debian/rules in the -20 release, fixed it.

 -- Sven Luther <luther@debian.org>  Wed, 20 Aug 2003 13:57:28 +0200

ocaml (3.06-20) unstable; urgency=low

  * Fixed BestProvides substvar stuff. (Closes: #205228, #204537)

 -- Sven Luther <luther@debian.org>  Tue, 19 Aug 2003 18:36:29 +0200

ocaml (3.06-19) unstable; urgency=low

  * Fix a alloc_channel bug. (Closes: #204146).

 -- Sven Luther <luther@debian.org>  Wed,  6 Aug 2003 10:54:38 +0200

ocaml (3.06-18) unstable; urgency=low

  * Dropped camlp4, libcamltk-ocaml and camltk provides as it may confuse apt.

 -- Sven Luther <luther@debian.org>  Fri, 18 Jul 2003 22:29:45 +0200

ocaml (3.06-17) unstable; urgency=low

  * Fixes typo in ocaml_packaging_policy.
  * Moved ocamldoc generated library manpages from section o to 3.
  * Linked to libgdbm-compat, using the new libgdbm-dev package.
    (Closes: #188553)
  * Removed the /etc/magic debconf question, as ocaml is recognized by file
    since version 4.02-1. (Closes: #190037, #189774)
  * Uncommented site specific emacs stuff as suggested by Laurent Bonnaud and
    okeyed by Ralf Treinen. (Closes: #192131)
  * Conflicts with camlidl (<< 1.04), warn if /usr/include/caml is still not
    a symlink, but this should only happen if the user did some hand
    installation.  (Closes: #195574, #192552)

 -- Sven Luther <luther@debian.org>  Sun,  8 Jun 2003 11:52:10 +0200

ocaml (3.06-16) unstable; urgency=low

  * Fix GC memory problem in stat_aux function in stat.c, reported in upstream
    bug #1665 and causes random SEGVs when using Unix.Largefile.stat or
    friends. Thanks to David Brown for providing a patch.  (Closes: #191582)
  * Properly install the latex file ocamldoc.sty. (Closes: #175821)
  * Fixed or overrided most lintian warnings.
  * Fixed configure script to work around the sparc FTBFS with gcc 3.2.
  * Applied Remi's ocaml_packaging_policy changes. (Closes: #177850)
  * Backported the config/auto-aux/async_io.c patch from CVS, to solve the
    graphics module/sleep problem. (Closes: #179199)

 -- Sven Luther <luther@debian.org>  Sat,  3 May 2003 09:45:38 +0200

ocaml (3.06-15) unstable; urgency=low

  * Fixed the /usr/include/caml issue. (Closes: #173720)

 -- Sven Luther <luther@debian.org>  Tue, 24 Dec 2002 10:31:55 +0100

ocaml (3.06-14) unstable; urgency=low

  * Removed the (bad) /usr/lib/ocaml/3.06/ld.conf that comes with the ocaml
    package.
  * Now run ocaml-ldconf in ocaml postinst also. This is needed since
    /usr/lib/ocaml/3.06/ld.conf was in ocaml 3.06-13 and will thus be removed
    when we upgradeto 3.06-14.
  * Some script cleanup.

 -- Sven Luther <luther@debian.org>  Tue, 17 Dec 2002 00:05:22 +0100

ocaml (3.06-13) unstable; urgency=low

  * Ocaml and ocaml-base now provides ocaml-3.06-1 and ocaml-base-3.06-1. All
    library packages depending on ocaml-3.06 and ocaml-base-3.06 are now
    uninstallable, and should be rebuilt with these new dependencies. Notice
    that a bug in dpkg (Bug#170825) allows to upgrade ocaml to 3.06-13 even if
    packages depending on the older virtual provides are still present,
    apt-get handles this properly.
  * Changed libdir from /usr/lib/ocaml to /usr/lib/ocaml/3.06, and adapted the
    ocaml_packaging_policy consequently.
  * Added Stefano's section on META files and findlib in the
    ocaml_packaging_policy.
  * Now /usr/include/caml is a symlink to /usr/lib/ocaml/3.06/caml, and not
    the other side around. Need to find a nicer solution here, or even stop
    shipping the headers in /usr/include. One solution would be to ship them
    under /usr/include/ocaml/3.06/caml.

 -- Sven Luther <luther@debian.org>  Sat, 14 Dec 2002 22:24:05 +0100

ocaml (3.06-12) unstable; urgency=low

  * Fixed configure so it now builds dbm support. (Closes: #168458)

 -- Sven Luther <luther@debian.org>  Mon, 11 Nov 2002 12:45:32 +0100

ocaml (3.06-11) unstable; urgency=low

  * Applied posix systhread patch from Xavier. Now the tick thread dies
    properly when killing a threaded native code program. (Closes: #144719)

 -- Sven Luther <luther@debian.org>  Tue, 29 Oct 2002 18:22:16 +0100

ocaml (3.06-10) unstable; urgency=low

  * Now call dh_installdebconf to install the debconf .templates file.
    (Closes: #166707)

 -- Sven Luther <luther@debian.org>  Mon, 28 Oct 2002 10:29:04 +0100

ocaml (3.06-9) unstable; urgency=low

  * Now test for the existence of /etc/magic before trying to fill it.

 -- Sven Luther <luther@debian.org>  Mon, 28 Oct 2002 10:29:04 +0100

ocaml (3.06-8) unstable; urgency=low

  * Added objinfo man page, courtesy of Stefano Zacchiroli, and modified
    ocamlc manpage to make reference to it.
  * Applied Stefano's .ocamlinit patch. (Closes: #166199)
  * Added a debconf template to fill /etc/magic with the appropriate ocaml
    magic.

 -- Sven Luther <luther@debian.org>  Sun, 27 Oct 2002 00:20:24 +0200

ocaml (3.06-7) unstable; urgency=low

  * Ocaml needed a rebuild, since native code compilation using the Str
    library was broken. I don't really understand what did break, most
    probably it is one of the developpment libraries (binutils, libc6, ...)
    which did change in an incompatible way we are not aware of.
  * Now ship objinfo. (Closes: #165446)
  * Applied odoc_man.ml patch from Maxence i got out of CVS. (Closes: #159581)
  * Removed /usr/lib/ocaml/ld.conf from the ocaml package, since it is shipped
    with ocaml-base. (Closes: #161742)

 -- Sven Luther <luther@debian.org>  Wed, 23 Oct 2002 10:20:04 +0200

ocaml (3.06-6.1) unstable; urgency=low

  * (NMU) recompile at maintener request
    Since i uploaded ocam lsource only, ocaml-source was not built,
    so i asked for an NMU, not having the bandwith for uploading ocaml-source
    myself. (Sven Luther)

 -- Remi Vanicat <vanicat@debian.org>  Tue, 24 Sep 2002 11:46:27 +0200

ocaml (3.06-6) unstable; urgency=high

  * ocaml-ldconf in postrm was called only on remove, not upgrade.
    (Closes: #159859).
  * Moved ocaml-source stuff to /usr/src.
    (Closes: #159862).
  * Added more verbose info to ocaml-ldconf.ml
    (Closes: #159860).
  * Now ocaml-ldconf also accepts the -R option to remove all directories
    associated with the given package.

 -- Sven Luther <luther@debian.org>  Fri,  6 Sep 2002 18:12:18 +0200

ocaml (3.06-5) unstable; urgency=high

  * Removed reference to /usr/include/ocaml in README.Debian.
    (Closes: #158126).

 -- Sven Luther <luther@debian.org>  Mon,  2 Sep 2002 14:38:22 +0200

ocaml (3.06-4) unstable; urgency=high

  * Apparently the dh_ocamlld patch did not do, i will now call ocaml-ldconf
    in ocaml-base.postinst, to be sure the /usr/lib/ocaml/ld.conf is created
    correctly (Closes: #158905).

 -- Sven Luther <luther@debian.org>  Mon,  2 Sep 2002 14:04:17 +0200

ocaml (3.06-3) unstable; urgency=high

  * Added a Provide: ocaml-source-3.06 to the ocaml-source control file.
    (Asked by Jerome Marant)

 -- Sven Luther <luther@debian.org>  Fri, 30 Aug 2002 09:39:25 +0200

ocaml (3.06-2) unstable; urgency=high

  * Now we create the /usr/local/lib/ocaml directory in the postinst instead
    of including it in the package. We also don't fail if we are not able to
    create this directory (if /usr/local is mounted read-only for example).
    (Closes: #157898)
  * Now use mmap() instead of malloc() for allocation of major heap chunks,
    for alpha (same fix as for the ia64 problem encountered previously).
    (Closes: #158444)

 -- Sven Luther <luther@debian.org>  Thu, 29 Aug 2002 08:26:53 +0200

ocaml (3.06-1) unstable; urgency=high

  * New upstream (bugfix) release. (Closes: Bug#139427)
  * 3.05 as released by upstream was broken, i should not have uploaded it (as
    it broke all the libraries) but it was too late when i was made aware of
    the problems with 3.05.
  * Added a statement in the ocaml-source package description that it is _not_
    supposed to be used for building ocaml. (Closes: #150077)
  * Now ship labltk examples and README file. (Closes: #152588)
  * Added ia64 to the list of arches who support the native code compilers.
    (Closes: #157110)
  * Removed .opt man pages from the list of files of the ocaml package.
    (Closes: #152237)
  * Camlp4 -where now gives the correct path. (Closes: #155701)
  * Now include a default /usr/lib/ocaml/ld.conf file in the ocaml-base
    package. (Closes: #156042, #155428)
  * Updated ocaml_packaging_policy and README.Debian file.
  * ocaml-ldconf now handles directory only lines in /etc/ocaml/ld.donf as the
    add command.

 -- Sven Luther <luther@debian.org>  Tue, 20 Aug 2002 15:36:45 +0200

ocaml (3.05-1) unstable; urgency=high

  * New upstream release.
  * Now /usr/lib/ocaml/stublibs is the default path for storing dynamic stub
    libraries. We still keep the ocaml-ldconf/dh_ocamlld stuff on, as it may
    still be usefull and for backward compatibility, but we will slowly
    migrate all library packages to use the new path.
  * Some updates to the policy file (standard stublib path, findlib, ...)
  * Now ship labltk examples and README file.
  * This upstream release fixes the bytecode compilers for powerpc (the same
    as the patch applied in 3.04-9) and ia64.

 -- Sven Luther <luther@debian.org>  Tue, 30 Jul 2002 10:44:39 +0200

ocaml (3.04-13) unstable; urgency=high

  * Modified ocaml-ldconf.ml so it no longer reverse the path list
    (contributed from Denis Barbier <barbier@debian.org>).

 -- Sven Luther <luther@debian.org>  Thu, 13 Jun 2002 17:15:12 +0200

ocaml (3.04-12) unstable; urgency=high

  * Link the .opt manpages by hand in postinst/prerm scripts, until debhelper
    is fixed to support .so files pointing to manpages from other binary
    packages. (Closes: Bug#138642)

 -- Sven Luther <luther@debian.org>  Wed, 24 Apr 2002 11:25:17 +0200

ocaml (3.04-11) unstable; urgency=high

  * Now install also the emacs caml-help.el file.
  * Removed the "\C-c\C-b" addition bindings, since they cause conflicts with
    xemacs21 (Closes: Bug#139812) (taken from upsteream CVS).

 -- Sven Luther <luther@debian.org>  Fri, 19 Apr 2002 19:29:13 +0200

ocaml (3.04-10) unstable; urgency=high

  * Fixed the bad /usr/lib/ocaml/ld.conf file permissions (Closes: Bug#138495).
  * Added the ocaml-ldconf.1 manpage.
  * Hopefully fixed the dangling camlp4r.opt.1 and camlp4o.opt.1 symlinks
    (Closes: Bug#138642).

 -- Sven Luther <luther@debian.org>  Tue, 19 Mar 2002 09:12:59 +0100

ocaml (3.04-9) unstable; urgency=high

  * Applied the correct powerpc patch from upstream (Closes: Bug#134113)

 -- Sven Luther <luther@debian.org>  Tue, 19 Feb 2002 18:11:56 +0100

ocaml (3.04-8) unstable; urgency=high

  * Removed the not working ppc patch and replaced it by the one from
    upstream's CVS (hope it works) (Closes: Bug#134113)
  * Fixed ocaml-ldconf so it would work even if the files did not exist, and
    added two of the ld.conf files as conffiles (not /usr/lib/ocaml/ld.conf,
    which is a install time generated package).
  * Renamed the include files again to /usr/include/caml, as it breaks things
    otherwise.

 -- Sven Luther <luther@debian.org>  Mon, 18 Feb 2002 11:30:35 +0100

ocaml (3.04-7) unstable; urgency=high

  * Fixed the emacs problem (Closes: Bug#132955)
  * Fixed the dh_ocamlld execution problem (Closes: Bug#132959)

 -- Sven Luther <luther@debian.org>  Mon, 11 Feb 2002 17:35:52 +0100

ocaml (3.04-6) unstable; urgency=low

  * Added ocaml-ldconf and ld.conf handling.
  * Added a ocaml_packaging_policy file.
  * Fixed the emacs problem, hope it works.
  * Added a symlink from /usr/lib/ocaml/caml to /usr/include/ocaml
  * Fixed the ocaml-native-compilers description problem.

 -- Sven Luther <luther@debian.org>  Thu,  7 Feb 2002 12:19:10 +0100

ocaml (3.04-5) unstable; urgency=low

  * Split ocamlc.opt, ocamlopt.opt and ocamllex.opt into the
    ocaml-native-compilers package.
  * The ocaml-best-compilers virtual package is provided by
    ocaml-native-compilers if it is built and by ocaml if not.
  * Added an ocaml-source package containing the source to ocaml for packages
    which need them as build-depends.
  * Applied Ian Zimmerman's caml.el patch. (Closes:#129650,#130301)


 -- Sven Luther <luther@debian.org>  Wed, 16 Jan 2002 18:08:39 +0100

ocaml (3.04-4) unstable; urgency=low

  * fixed emacs support and added ocamltags.

 -- Sven Luther <luther@debian.org>  Wed, 16 Jan 2002 16:50:12 +0100

ocaml (3.04-3) unstable; urgency=low

  * small patch to build on powerpc.
  * don't build opt.opt on ia64.
  * ocaml now doesn't include the ocaml-base stuff anymore but depends on it.

 -- Sven Luther <luther@debian.org>  Wed,  9 Jan 2002 17:34:00 +0100

ocaml (3.04-2) unstable; urgency=low

  * added runtime dynamic libraries to ocaml-base.
  * other small fixes.

 -- Sven Luther <luther@debian.org>  Thu, 20 Dec 2001 09:35:21 +0100

ocaml (3.04-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Fri, 14 Dec 2001 12:44:03 +0100

ocaml (3.02-3) unstable; urgency=low

  * alpha lacked the -mieee flag to gcc, so the fpu exceptions were not caught
    correctly.

 -- Sven Luther <luther@debian.org>  Tue,  6 Nov 2001 12:46:52 +0100

ocaml (3.02-2) unstable; urgency=low

  * Build with gcc.

 -- Sven Luther <luther@debian.org>  Thu,  9 Aug 2001 14:11:19 +0200

ocaml (3.02-1) unstable; urgency=low

  * New upstream release.
  * This is mostly a upstream bugfix release, including fixes to the arm
    native code compiler and the config stuff for the parisc port.

 -- Sven Luther <luther@debian.org>  Mon, 30 Jul 2001 17:20:38 +0200

ocaml (3.01-6.1) unstable; urgency=low

  * copy in new config.{guess,sub} to get support for new architectures.
    Closes: #94755.

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ocaml (3.01-6) unstable; urgency=low

  * Fix from Xavier Leroy for the arm native code compiler bug.

 -- Sven Luther <luther@debian.org>  Fri,  6 Apr 2001 15:34:26 +0200

ocaml (3.01-5.2) unstable; urgency=low

  * Adds menu file, Closes: #83490.

 -- Sven Luther <luther@debian.org>  Wed,  4 Apr 2001 15:00:53 +0200

ocaml (3.01-5.1) unstable; urgency=low

  * Fixes configure script to automatically find tcl/tk 8.3. This will
    enable us to build this package on potato also.

 -- Sven Luther <luther@debian.org>  Tue,  3 Apr 2001 13:12:27 +0200

ocaml (3.01-5) unstable; urgency=low

  * Disabled native code support on the arm arch, waiting for an upstream fix
    on it.
  * Removed Build dependency on emacsen, since it is no longer needed at
    build time, but at install time.

 -- Sven Luther <luther@debian.org>  Thu, 29 Mar 2001 13:03:43 +0200

ocaml (3.01-4) unstable; urgency=low

  * fixes arm build. Fixes: #90089.

 -- Sven Luther <luther@debian.org>  Thu, 22 Mar 2001 15:37:30 +0100

ocaml (3.01-3) unstable; urgency=low

  * clean now trully brings the package to it's previous state.
  * added emacs patch from Ralf Treineim.

 -- Sven Luther <luther@debian.org>  Thu, 22 Mar 2001 09:57:32 +0100

ocaml (3.01-2) unstable; urgency=low

  * Fix missing dbm and labltk builds.

 -- Sven Luther <luther@debian.org>  Fri, 16 Mar 2001 10:49:02 +0100

ocaml (3.01-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Fri,  9 Mar 2001 16:25:19 +0100

ocaml (3.00-6) unstable; urgency=low

  * Added some suggest field, Fixes: #85280.

 -- Sven Luther <luther@debian.org>  Fri,  9 Feb 2001 09:40:14 +0100

ocaml (3.00-5) unstable; urgency=low

  * Erm, ... apparently, strip is still not behaving itself correctly, it
    removed the bytecode from the ocamlbrowser executable :(((
    Fixed it by don't stripping ocamlbrowser and ocamldebug manually.

 -- Sven Luther <luther@debian.org>  Mon,  5 Feb 2001 14:50:54 +0100

ocaml (3.00-4) unstable; urgency=low

  * added debhelper to the Build-depends :((((

 -- Sven Luther <luther@debian.org>  Wed, 10 Jan 2001 18:25:32 +0100

ocaml (3.00-3) unstable; urgency=low

  * had to rebuild due to the dpkg 1.8.1.1 bug :(((

 -- Sven Luther <luther@debian.org>  Tue,  9 Jan 2001 15:45:32 +0100

ocaml (3.00-2) unstable; urgency=low

  * Updated to standard version 3.2.1.0.
  * Added build dependencies, hope i didn't miss them.
  * Needed rebuilt on alpha anyway, since the tcl/tk developpment packages
    where missing when it got built, now, the build dependencies should handle
    this correctly.
  * Fixes #81337. (bcopy redefinition bug due to new libc). Thanks for
    Paul Slootman for providing a patch to this one.
  * Fixes #69724 (i hope). Now that strip doesn't destroy files it doesn't
    know anything about, we can strip executables safely again.

 -- Sven Luther <luther@debian.org>  Mon,  8 Jan 2001 14:34:26 +0100

ocaml (3.00-1) unstable; urgency=low

  * new upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 27 Apr 2000 00:22:42 +0200

ocaml3 (2.99-1) unstable; urgency=low

  * New upstream release. This is the beta version of upcomming ocaml 3.0.
  * This package will conflict with ocaml 2.04 for now, when ocaml 3.0
    comes out, it will replace ocaml 2.04 also. Don't know if we will need
    a ocaml 2.04 compatibility package, i guess not, but if needed, we could
    do it.

 -- Sven Luther <luther@debian.org>  Mon,  6 Mar 2000 13:03:17 +0100

ocaml (2.04-6) frozen unstable; urgency=low

  * emacs mode was missing, added it again.

 -- Sven Luther <luther@debian.org>  Tue, 29 Feb 2000 14:37:35 +0100

ocaml (2.04-5) frozen unstable; urgency=low

  * Fix the lintian error about LGPL link pointing to old place.

 -- Sven Luther <luther@debian.org>  Fri,  4 Feb 2000 16:14:27 +0100

ocaml (2.04-4) unstable; urgency=low

  * Added a libncurses5-dev dependency, as ocamlopt needs it to compile
    programs, not sure if a depends dependency is the right way to do things
    though.

 -- Sven Luther <luther@debian.org>  Fri,  4 Feb 2000 15:29:23 +0100

ocaml (2.04-3) unstable; urgency=low

  * Don't strip binaries, as stripping of ocaml binaries is not supported.
  * Closes Bug #49637.

 -- Sven Luther <luther@debian.org>  Tue, 25 Jan 2000 17:14:53 +0100

ocaml (2.04-2) unstable; urgency=low

  * Disables m68k nativ code compiler.
  * Closes Bug #52130.

 -- Sven Luther <luther@debian.org>  Thu,  9 Dec 1999 10:20:06 +0100

ocaml (2.04-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Tue, 30 Nov 1999 14:46:37 +0100

ocaml (2.03-1) unstable; urgency=low

  * New upstream release.
  * License change (QPL & LGPL mix), can go in main now.
  * configuration patch seems to be included in main.

 -- Sven Luther <luther@debian.org>  Mon, 22 Nov 1999 11:40:28 +0100

ocaml (2.02-9) unstable; urgency=low

  * fixed thread support for native code stuff,
    using systhread instead of thread.

 -- Sven Luther <luther@debian.org>  Thu, 18 Nov 1999 14:55:46 +0100

ocaml (2.02-8) unstable; urgency=low

  * fixed bad suggests line for ocaml-doc.

 -- Sven Luther <luther@debian.org>  Mon,  8 Nov 1999 12:26:47 +0100

ocaml (2.02-7) unstable; urgency=low

  * Added a man page for ocamldebug.
  * seems FHS compliant.

 -- Sven Luther <luther@debian.org>  Sat,  9 Oct 1999 14:20:25 +0200

ocaml (2.02-6) unstable; urgency=low

  * Adding FHS-compliance.

 -- Sven Luther <luther@debian.org>  Sat,  9 Oct 1999 12:05:47 +0200

ocaml (2.02-5) unstable; urgency=low

  * Removed again the m68k native code compiler, since it was buggy.
  * Fixed a bug in the thread library.

 -- Sven Luther <luther@debian.org>  Wed, 30 Jun 1999 09:13:00 +0200

ocaml (2.02-4) unstable; urgency=low

  * Fixed a last bug with the m68k native code compiler.

 -- Sven Luther <luther@debian.org>  Sat, 29 May 1999 20:43:41 +0200

ocaml (2.02-3) unstable; urgency=low

  * Enabled m68k native code compiler.

 -- Sven Luther <luther@debian.org>  Fri,  7 May 1999 10:24:34 +0200

ocaml (2.02-2) unstable; urgency=low

  * Fixed m68k build, at least i hope so, didn't test it though ...

  * Fixed emacs mode build and install.

 -- Sven Luther <luther@debian.org>  Thu, 29 Apr 1999 20:05:35 +0100

ocaml (2.02-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Mon, 08 Mar 1999 17:50:35 +0100

ocaml (2.01-5) unstable; urgency=low

  * fixed the ocamlmktop bug, by removing the $PREFIX stuff from
    tools/Makefile. It is not needed there.

 -- Sven Luther <luther@debian.org>  Fri, 26 Feb 1999 07:40:35 +0100

ocaml (2.01-4) unstable; urgency=low

  * fixed some stuff in the $PREFIX Makefile changes.

 -- Sven Luther <luther@debian.org>  Tue, 16 Feb 1999 19:55:35 +0100

ocaml (2.01-3) unstable; urgency=low

  * added some Makefile stuff to help build packages when native code
    compiler is not supported.
  * html documentation is now another package (ocaml-doc) together with
    documentation in another format.

 -- Sven Luther <luther@debian.org>  Tue, 16 Feb 1999 19:55:35 +0100

ocaml (2.01-2) unstable; urgency=low

  * Removed the mli2html patch again, conforming to the wishes of
    the upstream author. Due to licensing problems, if we want it,
    we have to have autorization of INRIA. Anyway, the mli2html patch
    was buggy, creating different .mli files if -html was used or not.
  * Fixed the configure script and Makefile so that you can use -prefix
    option and change the install prefix by changing the PREFIX variable.

 -- Sven Luther <luther@debian.org>  Tue, 16 Feb 1999 10:31:35 +0100

ocaml (2.01-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 11 Feb 1999 13:51:35 +0100

ocaml (2.00-2) unstable; urgency=low

  * added mli2html patch to create html documents from .mli files

 -- Sven Luther <luther@dpt-info.u-strasbg.fr>  Sun, 13 Sep 1998 09:08:05 +0200

ocaml (2.00-1) unstable; urgency=low

  * new upstream source

 -- Sven Luther <luther@dpt-info.u-strasbg.fr>  Mon, 31 Aug 1998 10:08:05 +0200

ocaml (1.07-1) unstable; urgency=low

  * new upstream source

 -- Sven Luther <luther@dpt-info.u-strasbg.fr>  Sat, 21 Feb 1998 10:36:26 +0800

ocaml (1.05-2) unstable; urgency=low

  * Build with libc6

 -- Christophe Le Bars <clebars@debian.org>  Sun, 28 Sep 1997 16:45:02 +0200

ocaml (1.05-1) non-free; urgency=low

  * New upstream source

 -- Christophe Le Bars <clebars@debian.org>  Fri, 22 Aug 1997 23:01:51 +0200

ocaml (1.03-2) frozen-non-free non-free; urgency=low

  * Added ocamlmktop manpage (Bug#6264)

 -- Christophe Le Bars <clebars@debian.org>  Tue, 22 Apr 1997 23:44:12 +0200

ocaml (1.03-1) non-free; urgency=low

  * New upstream source
  * Added html reference manual

 -- Christophe Le Bars <clebars@debian.org>  Fri, 1 Nov 1996 15:51:00 +0100

ocaml (1.02-1) non-free; urgency=low

  * Initial release
  * Added Debian GNU/Linux Linux package maintenance system files

 -- Christophe Le Bars <clebars@debian.org>  Fri, 11 Oct 1996 22:25:01 +0200
